Object Detection using Template

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables
Public Member Functions | Static Public Attributes | Private Member Functions | Private Attributes | List of all members
cz.vutbr.feec.novak68.imageProcessor.ImageFacade Class Reference
Collaboration diagram for cz.vutbr.feec.novak68.imageProcessor.ImageFacade:
[legend]

## Public Member Functions
double | getStep ()
void | setStep (double step)
double | getScale ()
void | setScale (double scale)
| ImageFacade (String pathToImage) throws IOException
| ImageFacade (ImagePlus sourceImage) throws IOException
| ImageFacade (ImagePlus sourceImage, String separedPath, String separedPathList) throws IOException
| ImageFacade (ImagePlus sourceImage, double zoomOfHeight, double step)
| ImageFacade (ImagePlus sourceImage, BufferedWriter separed, BufferedWriter separedList, double scale, double step)
void | extractAll () throws IOException
void | extractAll (MyProcess process, boolean useVariance) throws IOException
ImagePlus | getImage (int[] position)
ImagePlus | getNextImage ()
boolean | hasNextImage ()
void | clearPosIndex ()
ImagePlus | getImage (Coordinate coordinate, ImagePlus srcImage)

## Static Public Attributes
static final Dimension | IMAGE_BASE_SIZE = new Dimension(78,149)

## Private Member Functions
void | rescaleSize ()
void | computePossitions ()

## Private Attributes
ImagePlus | tempImage
Dimension | rescaledSize = new Dimension()
SimpleHogPropertyExtractor | extractor
ImagePlus | sourceImage
ArrayList< int[]> | possitions = new ArrayList<int []>()
int | posIndex = 0
BufferedWriter | writer
BufferedWriter | list
double | scale
double | step

## Detailed Description

This object simply maintain the scene. Generally it is used to divide whole scene into small sub-images and extract HOG sympthomps.

Author
  xnovak68

Definition at line 21 of file ImageFacade.java.

## Constructor & Destructor Documentation

cz.vutbr.feec.novak68.imageProcessor.ImageFacade.ImageFacade | ( | String | pathToImage | ) | throws IOException

Definition at line 51 of file ImageFacade.java.

cz.vutbr.feec.novak68.imageProcessor.ImageFacade.ImageFacade | ( | ImagePlus | sourceImage | ) | throws IOException

Definition at line 54 of file ImageFacade.java.

References cz.vutbr.feec.novak68.imageProcessor.ImageFacade.sourceImage.

cz.vutbr.feec.novak68.imageProcessor.ImageFacade.ImageFacade | ( | ImagePlus | sourceImage,
|  | String | separedPath,
|  | String | separedPathList
| ) |  | throws IOException

Definition at line 58 of file ImageFacade.java.

References cz.vutbr.feec.novak68.imageProcessor.ImageFacade.sourceImage.

cz.vutbr.feec.novak68.imageProcessor.ImageFacade.ImageFacade | ( | ImagePlus | sourceImage,
|  | double | zoomOfHeight,
|  | double | step
| ) |  |

This constructor is used to extract data into process

Parameters

  sourceImage |
  zoomOfHeight |
  step |

Definition at line 66 of file ImageFacade.java.

References cz.vutbr.feec.novak68.imageProcessor.ImageFacade.computePossitions(), cz.vutbr.feec.novak68.imageProcessor.ImageFacade.extractor, cz.vutbr.feec.novak68.imageProcessor.ImageFacade.scale, cz.vutbr.feec.novak68.imageProcessor.ImageFacade.setScale(), cz.vutbr.feec.novak68.imageProcessor.ImageFacade.setStep(), cz.vutbr.feec.novak68.imageProcessor.ImageFacade.sourceImage, and cz.vutbr.feec.novak68.imageProcessor.ImageFacade.tempImage.

Here is the call graph for this function:

cz.vutbr.feec.novak68.imageProcessor.ImageFacade.ImageFacade | ( | ImagePlus | sourceImage,
|  | BufferedWriter | separed,
|  | BufferedWriter | separedList,
|  | double | scale,
|  | double | step
| ) |  |

This constructor is used to extract data into file

Parameters

  sourceImage |
  separed |
  separedList |
  scale |
  step |

Definition at line 84 of file ImageFacade.java.

References cz.vutbr.feec.novak68.imageProcessor.ImageFacade.computePossitions(), cz.vutbr.feec.novak68.imageProcessor.ImageFacade.extractor, cz.vutbr.feec.novak68.imageProcessor.ImageFacade.setScale(), cz.vutbr.feec.novak68.imageProcessor.ImageFacade.setStep(), cz.vutbr.feec.novak68.imageProcessor.ImageFacade.sourceImage, and cz.vutbr.feec.novak68.imageProcessor.ImageFacade.tempImage.

Here is the call graph for this function:

## Member Function Documentation

void cz.vutbr.feec.novak68.imageProcessor.ImageFacade.clearPosIndex | ( |  | ) |

Definition at line 136 of file ImageFacade.java.

References cz.vutbr.feec.novak68.imageProcessor.ImageFacade.posIndex.

Referenced by cz.vutbr.feec.novak68.imageProcessor.ImageFacade.hasNextImage().

void cz.vutbr.feec.novak68.imageProcessor.ImageFacade.computePossitions | ( |  | ) |
| private

Definition at line 143 of file ImageFacade.java.

References cz.vutbr.feec.novak68.imageProcessor.ImageFacade.rescaledSize, cz.vutbr.feec.novak68.imageProcessor.ImageFacade.sourceImage, and cz.vutbr.feec.novak68.imageProcessor.ImageFacade.step.

Referenced by cz.vutbr.feec.novak68.imageProcessor.ImageFacade.ImageFacade().

void cz.vutbr.feec.novak68.imageProcessor.ImageFacade.extractAll | ( |  | ) | throws IOException

Definition at line 95 of file ImageFacade.java.

References cz.vutbr.feec.novak68.imageProcessor.ImageFacade.getImage(), and cz.vutbr.feec.novak68.imageProcessor.ImageFacade.possitions.

Here is the call graph for this function:

void cz.vutbr.feec.novak68.imageProcessor.ImageFacade.extractAll | ( | MyProcess | process,
|  | boolean | useVariance
| ) |  | throws IOException

Definition at line 102 of file ImageFacade.java.

References cz.vutbr.feec.novak68.imageProcessor.ImageFacade.getImage(), cz.vutbr.feec.novak68.imageProcessor.ImageFacade.possitions, and cz.vutbr.feec.novak68.imageProcessor.ImageFacade.scale.

Here is the call graph for this function:

ImagePlus cz.vutbr.feec.novak68.imageProcessor.ImageFacade.getImage | ( | int[] | position | ) |

Definition at line 110 of file ImageFacade.java.

References cz.vutbr.feec.novak68.imageProcessor.ImageFacade.IMAGE_BASE_SIZE, cz.vutbr.feec.novak68.imageProcessor.ImageFacade.scale, and cz.vutbr.feec.novak68.imageProcessor.ImageFacade.tempImage.

Referenced by cz.vutbr.feec.novak68.imageProcessor.ImageFacade.extractAll(), and cz.vutbr.feec.novak68.imageProcessor.ImageFacade.getNextImage().

ImagePlus cz.vutbr.feec.novak68.imageProcessor.ImageFacade.getImage | ( | Coordinate | coordinate,
|  | ImagePlus | srcImage
| ) |  |

Definition at line 162 of file ImageFacade.java.

References cz.vutbr.feec.novak68.imageProcessor.ImageFacade.IMAGE_BASE_SIZE, cz.vutbr.feec.novak68.tools.Coordinate.leftTop, and cz.vutbr.feec.novak68.imageProcessor.ImageFacade.scale.

ImagePlus cz.vutbr.feec.novak68.imageProcessor.ImageFacade.getNextImage | ( |  | ) |

Returns image or null if has no next image

Returns

Definition at line 124 of file ImageFacade.java.

References cz.vutbr.feec.novak68.imageProcessor.ImageFacade.getImage(), cz.vutbr.feec.novak68.imageProcessor.ImageFacade.hasNextImage(), cz.vutbr.feec.novak68.imageProcessor.ImageFacade.posIndex, and cz.vutbr.feec.novak68.imageProcessor.ImageFacade.possitions.

Here is the call graph for this function:

double cz.vutbr.feec.novak68.imageProcessor.ImageFacade.getScale | ( |  | ) |

Definition at line 40 of file ImageFacade.java.

References cz.vutbr.feec.novak68.imageProcessor.ImageFacade.scale.

double cz.vutbr.feec.novak68.imageProcessor.ImageFacade.getStep | ( |  | ) |

Definition at line 33 of file ImageFacade.java.

References cz.vutbr.feec.novak68.imageProcessor.ImageFacade.step.

boolean cz.vutbr.feec.novak68.imageProcessor.ImageFacade.hasNextImage | ( |  | ) |

Definition at line 127 of file ImageFacade.java.

References cz.vutbr.feec.novak68.imageProcessor.ImageFacade.clearPosIndex(), cz.vutbr.feec.novak68.imageProcessor.ImageFacade.posIndex, and cz.vutbr.feec.novak68.imageProcessor.ImageFacade.possitions.

Referenced by cz.vutbr.feec.novak68.imageProcessor.ImageFacade.getNextImage().

Here is the call graph for this function:

void cz.vutbr.feec.novak68.imageProcessor.ImageFacade.rescaleSize | ( |  | ) |
| private

Definition at line 138 of file ImageFacade.java.

References cz.vutbr.feec.novak68.imageProcessor.ImageFacade.posIndex, and cz.vutbr.feec.novak68.imageProcessor.ImageFacade.scale.

Referenced by cz.vutbr.feec.novak68.imageProcessor.ImageFacade.setScale().

void cz.vutbr.feec.novak68.imageProcessor.ImageFacade.setScale | ( | double | scale | ) |

Definition at line 43 of file ImageFacade.java.

References cz.vutbr.feec.novak68.imageProcessor.ImageFacade.rescaleSize(), and cz.vutbr.feec.novak68.imageProcessor.ImageFacade.scale.

Referenced by cz.vutbr.feec.novak68.imageProcessor.ImageFacade.ImageFacade().

Here is the call graph for this function:

void cz.vutbr.feec.novak68.imageProcessor.ImageFacade.setStep | ( | double | step | ) |

Definition at line 36 of file ImageFacade.java.

Referenced by cz.vutbr.feec.novak68.imageProcessor.ImageFacade.ImageFacade().

## Member Data Documentation

SimpleHogPropertyExtractor cz.vutbr.feec.novak68.imageProcessor.ImageFacade.extractor
| private

Definition at line 25 of file ImageFacade.java.

Referenced by cz.vutbr.feec.novak68.imageProcessor.ImageFacade.ImageFacade().

final Dimension cz.vutbr.feec.novak68.imageProcessor.ImageFacade.IMAGE_BASE_SIZE = new Dimension(78,149)
| static

Definition at line 22 of file ImageFacade.java.

Referenced by cz.vutbr.feec.novak68.tools.Coordinate.Coordinate(), and cz.vutbr.feec.novak68.imageProcessor.ImageFacade.getImage().

BufferedWriter cz.vutbr.feec.novak68.imageProcessor.ImageFacade.list
| private

Definition at line 30 of file ImageFacade.java.

int cz.vutbr.feec.novak68.imageProcessor.ImageFacade.posIndex = 0
| private

Definition at line 28 of file ImageFacade.java.

Referenced by cz.vutbr.feec.novak68.imageProcessor.ImageFacade.clearPosIndex(), cz.vutbr.feec.novak68.imageProcessor.ImageFacade.getNextImage(), cz.vutbr.feec.novak68.imageProcessor.ImageFacade.hasNextImage(), and cz.vutbr.feec.novak68.imageProcessor.ImageFacade.rescaleSize().

ArrayList<int []> cz.vutbr.feec.novak68.imageProcessor.ImageFacade.possitions = new ArrayList<int []>()
| private

Definition at line 27 of file ImageFacade.java.

Referenced by cz.vutbr.feec.novak68.imageProcessor.ImageFacade.extractAll(), cz.vutbr.feec.novak68.imageProcessor.ImageFacade.getNextImage(), and cz.vutbr.feec.novak68.imageProcessor.ImageFacade.hasNextImage().

Dimension cz.vutbr.feec.novak68.imageProcessor.ImageFacade.rescaledSize = new Dimension()
| private

Definition at line 24 of file ImageFacade.java.

Referenced by cz.vutbr.feec.novak68.imageProcessor.ImageFacade.computePossitions().

double cz.vutbr.feec.novak68.imageProcessor.ImageFacade.scale
| private

Definition at line 31 of file ImageFacade.java.

Referenced by cz.vutbr.feec.novak68.imageProcessor.ImageFacade.extractAll(), cz.vutbr.feec.novak68.imageProcessor.ImageFacade.getImage(), cz.vutbr.feec.novak68.imageProcessor.ImageFacade.getScale(), cz.vutbr.feec.novak68.imageProcessor.ImageFacade.ImageFacade(), cz.vutbr.feec.novak68.imageProcessor.ImageFacade.rescaleSize(), and cz.vutbr.feec.novak68.imageProcessor.ImageFacade.setScale().

ImagePlus cz.vutbr.feec.novak68.imageProcessor.ImageFacade.sourceImage
| private

Definition at line 26 of file ImageFacade.java.

Referenced by cz.vutbr.feec.novak68.imageProcessor.ImageFacade.computePossitions(), and cz.vutbr.feec.novak68.imageProcessor.ImageFacade.ImageFacade().

double cz.vutbr.feec.novak68.imageProcessor.ImageFacade.step
| private

Definition at line 32 of file ImageFacade.java.

Referenced by cz.vutbr.feec.novak68.imageProcessor.ImageFacade.computePossitions(), and cz.vutbr.feec.novak68.imageProcessor.ImageFacade.getStep().

ImagePlus cz.vutbr.feec.novak68.imageProcessor.ImageFacade.tempImage
| private

Definition at line 23 of file ImageFacade.java.

Referenced by cz.vutbr.feec.novak68.imageProcessor.ImageFacade.getImage(), and cz.vutbr.feec.novak68.imageProcessor.ImageFacade.ImageFacade().

BufferedWriter cz.vutbr.feec.novak68.imageProcessor.ImageFacade.writer
| private

Definition at line 29 of file ImageFacade.java.

The documentation for this class was generated from the following file:

- src/cz/vutbr/feec/novak68/imageProcessor/ImageFacade.java